QGIS Application - Bug report #6561

'cubic’ resambling for "zoomed in" (scale > 100%) rasters creates undesired visual glitches with
contrast set to stretch to min max

2012-10-23 12:48 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: all Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 15761
Description

Steps to reproduce visual glitches:

1. Load a raster; for the sake of this example, please use 1:10m ocean bottom available @
http://www.naturalearthdata.com/downloads/10m-raster-data/10m-ocean-bottom/ as it shows this issue quite well

2. In the layer property window, retrieve the min/max values of RGB bands with these settings:

() cumulative count cut 2 - 98%

() Full (extend)

(*) Estimate (faster) (accurary)

3. Set contrast enhancement to "Stretch to MinMax"

4. Set zoomed in resampling to "Cubic"

5. Apply the change, then zoom in (raster zoom scale must be > 100% to activate cubic resampling) a region of the raster (if using the
above ocean bottom raster, glitches easily to spot in southern china sea, among other places)

You'll notice weird visual glitches which are not there if using the two other types of resambling. I'm attaching a screenshot of the problem.

Associated revisions

Revision a1b858b8 - 2015-02-09 04:35 AM - Nyall Dawson

[raster] Fix cubic resampler visual glitches (refs #6561)

Resampler was not correctly bounding color components for premultiplied
image format. There's still errors in the resampled raster at the

source image edges and glitches with transparency channels, though.

Also fix a bunch of inefficiencies in the code.

History

#1 - 2012-10-27 01:46 AM - Marco Hugentobler

If the image has sharp changes, it is in the nature of cubic functions to overshoot. | think this is what you perceive as visual glitches. In that cases, using
cubic interpolation is just not suitable.

#2 - 2012-10-29 06:54 PM - Mathieu Pellerin - nIRV

- File resampling-comparison.jpg added
http://www.naturalearthdata.com/downloads/10m-raster-data/10m-ocean-bottom/

Marco, | understand the characteristic cubic interpolation, and | believe what is being raised here doesn't fall within expected results of a cubic resampling

)

I'm attaching a new screenshot that compares the three available resampling methods for raster >100%, including the problematic cubic one. It'll hopefully

help better demonstrate the issue.

#3 - 2013-07-01 11:27 PM - Radim Blazek

- Assignee changed from Radim Blazek to Marco Hugentobler

#4 - 2014-06-28 07:42 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-12-22 09:33 AM - Médéric RIBREUX
- Status changed from Open to Feedback

Hello, bug triage...

| can't reproduce it on QGIS 2.13 master . Can you confirm ?

#6 - 2015-12-22 11:53 AM - Nyall Dawson

It's still an issue - as per the commit note above, it's now only visible on image edges.

#7 - 2015-12-22 11:53 AM - Nyall Dawson
- Status changed from Feedback to Open

#8 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#9 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
